<?php

/**
 * @file
 */

namespace Drupal\tmgmt_spreadsheet\Plugin\tmgmt_file\Format;

use Drupal\Core\Annotation\Translation;
use Drupal\tmgmt\JobInterface;
use Drupal\tmgmt_file\Annotation\FormatPlugin;
use Drupal\tmgmt_spreadsheet\Plugin\tmgmt_file\TmgmtSpreadsheetFormatPluginBase;


/**
 * Class Xls
 *
 * @package Drupal\tmgmt_spreadsheet\Plugin\tmgmt_file\Format
 *
 * Export into Microsoft Excel XLS-format
 *
 * @FormatPlugin(
 *   id="xlsx",
 *   label=@Translation("XLSX")
 * )
 */

class Xlsx extends TmgmtSpreadsheetFormatPluginBase {

  /**
   * {@inheritdoc}
   */
  public function export(JobInterface $job, $conditions = []) {
    $this->setFormat($this->getClassName());
    return parent::export($job, $conditions);
  }

  /**
   * {@inheritdoc}
   */
  public function import($imported_file, $is_file = TRUE) {
    $this->setFormat($this->getClassName());
    return parent::import($imported_file, $is_file);
  }

  /**
   * {@inheritdoc}
   */
  public function validateImport($imported_file, $is_file = TRUE) {
    $this->setFormat($this->getClassName());
    return parent::validateImport($imported_file, $is_file);
  }
}
